
// Game.h

// Declares the CGame class representing a single game parsed





// fwd:
class CGame;





#ifndef GAME_H_INCLUDED
#define GAME_H_INCLUDED





class CPlayer
{
public:
	std::string Name;
	std::string ID;
	bool IsOnTurn;
	
	CPlayer(const std::string & iName, const std::string & iID, bool iIsOnTurn);
	CPlayer(const CPlayer & iSrc);
	
	void CopyFrom(const CPlayer & iSrc);
} ;

typedef CPlayer * CPlayerPtr;
typedef std::deque<CPlayerPtr> CPlayerPtrs;





class CGame
{
public:
	std::string URL;
	std::string Type;  // GdM / Tzaar / ...
	std::string PartieID;
	
	CPlayerPtrs Players;

	bool IsMyTurn;
	bool HasBeenNotified;

	CGame(const char * iURL, size_t iURLLength, const char * iNumber, const char * iType, bool iIsMyTurn);
	CGame(const CGame & iSrc);
	~CGame();

	void Clear(void);
	void CopyFrom(const CGame & iSrc);
	
	std::string GetPlayersString(void);
	
	void OpenInBrowser(void);
} ;

typedef CGame * CGamePtr;
typedef std::deque<CGamePtr> CGamePtrs;





#endif  // GAME_H_INCLUDED




